<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.Banche" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Banche">
        <composite-id class="sicura.entities.BancheId" mapped="false" name="id" unsaved-value="undefined">
            <key-property name="id" type="int">
                <column name="ID"/>
            </key-property>
            <key-property name="codiceSocietà" type="string">
                <column length="3" name="CodiceSocietà"/>
            </key-property>
            <key-property name="funzioneOrdinante" type="string">
                <column length="10" name="FunzioneOrdinante"/>
            </key-property>
            <key-property name="abi" type="string">
                <column length="5" name="Abi"/>
            </key-property>
            <key-property name="cab" type="string">
                <column length="5" name="Cab"/>
            </key-property>
            <key-property name="conto" type="string">
                <column length="12" name="Conto"/>
            </key-property>
            <key-property name="contoFormatoContabilizzazione" type="string">
                <column length="20" name="ContoFormatoContabilizzazione"/>
            </key-property>
            <key-property name="divisa" type="string">
                <column length="3" name="Divisa"/>
            </key-property>
            <key-property name="descrizioneConto" type="string">
                <column length="30" name="DescrizioneConto"/>
            </key-property>
            <key-property name="coordinateIban" type="string">
                <column length="50" name="CoordinateIBAN"/>
            </key-property>
            <key-property name="saldoContabile" type="string">
                <column length="15" name="SaldoContabile"/>
            </key-property>
            <key-property name="segnoSaldoContabile" type="string">
                <column length="1" name="SegnoSaldoContabile"/>
            </key-property>
            <key-property name="dataSaldoContabile" type="timestamp">
                <column length="23" name="DataSaldoContabile"/>
            </key-property>
            <key-property name="saldoLiquido" type="string">
                <column length="15" name="SaldoLiquido"/>
            </key-property>
            <key-property name="segnoSaldoLiquido" type="string">
                <column length="1" name="SegnoSaldoLiquido"/>
            </key-property>
            <key-property name="dbgridSelect" type="boolean">
                <column name="DBGridSelect"/>
            </key-property>
            <key-property name="contoDefault" type="boolean">
                <column name="ContoDefault"/>
            </key-property>
            <key-property name="codiceSia" type="string">
                <column length="5" name="CodiceSIA"/>
            </key-property>
            <key-property name="saldoValutazioneCapienza" type="string">
                <column length="15" name="SaldoValutazioneCapienza"/>
            </key-property>
            <key-property name="segnoValutazioneCapienza" type="string">
                <column length="1" name="SegnoValutazioneCapienza"/>
            </key-property>
            <key-property name="lastSaved" type="binary">
                <column name="LastSaved"/>
            </key-property>
            <key-property name="flagStampa" type="boolean">
                <column name="FlagStampa"/>
            </key-property>
            <key-property name="circuitoFlussoOut" type="string">
                <column length="15" name="CircuitoFlussoOut"/>
            </key-property>
            <key-property name="contoPerCassa" type="boolean">
                <column name="ContoPerCassa"/>
            </key-property>
            <key-property name="flagContabilizzazione" type="boolean">
                <column name="FlagContabilizzazione"/>
            </key-property>
            <key-property name="flagExportPrometeo" type="boolean">
                <column name="FlagExportPrometeo"/>
            </key-property>
        </composite-id>
    </class>
</hibernate-mapping>
